Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.svn
Class SvnRepositoryConnectorI18n

    java.lang.Object
      org.modeshape.connector.svn.SvnRepositoryConnectorI18n

    public final class SvnRepositoryConnectorI18n

extends Object

The internationalized string constants for the `org.modeshape.connector.svn*` packages.

Field Summary
`static I18n` | `connectingFailureOrUserAuthenticationProblem`
`static I18n` | `connectorName`
`static I18n` | `couldNotCreateFile`
`static I18n` | `couldNotReadData`
`static I18n` | `creatingWorkspacesAllowedPropertyCategory`
`static I18n` | `creatingWorkspacesAllowedPropertyDescription`
`static I18n` | `creatingWorkspacesAllowedPropertyLabel`
`static I18n` | `defaultWorkspaceNamePropertyCategory`
`static I18n` | `defaultWorkspaceNamePropertyDescription`
`static I18n` | `defaultWorkspaceNamePropertyLabel`
`static I18n` | `deleteFailed`
`static I18n` | `errorSerializingCachePolicyInSource`
`static I18n` | `invalidNameForResource`
`static I18n` | `invalidPathForResource`
`static I18n` | `invalidPropertyNames`
`static I18n` | `locationInRequestMustHavePath`
`static I18n` | `missingRequiredProperty`
`static I18n` | `nodeAlreadyExist`
`static I18n` | `nodeDoesNotExist`
`static I18n` | `nodeIsActuallyUnknow`
`static I18n` | `nodeOrderingNotSupported`
`static I18n` | `onlyTheDefaultNamespaceIsAllowed`
`static I18n` | `passwordPropertyCategory`
`static I18n` | `passwordPropertyDescription`
`static I18n` | `passwordPropertyLabel`
`static I18n` | `pathForDefaultWorkspaceCannotBeRead`
`static I18n` | `pathForDefaultWorkspaceDoesNotExist`
`static I18n` | `pathForDefaultWorkspaceIsNotDirectory`
`static I18n` | `pathForPredefinedWorkspaceCannotBeRead`
`static I18n` | `pathForPredefinedWorkspaceDoesNotExist`
`static I18n` | `pathForPredefinedWorkspaceIsNotDirectory`
`static I18n` | `pathForRequestIsNotCorrect`
`static I18n` | `pathForRequestMustStartWithAForwardSlash`
`static I18n` | `predefinedWorkspaceNamesPropertyCategory`
`static I18n` | `predefinedWorkspaceNamesPropertyDescription`
`static I18n` | `predefinedWorkspaceNamesPropertyLabel`
`static I18n` | `propertyIsRequired`
`static I18n` | `repositoryRootUrlPropertyCategory`
`static I18n` | `repositoryRootUrlPropertyDescription`
`static I18n` | `repositoryRootUrlPropertyLabel`
`static I18n` | `sameNameSiblingsAreNotAllowed`
`static I18n` | `sourceDoesNotSupportCloningWorkspaces`
`static I18n` | `sourceDoesNotSupportCreatingWorkspaces`
`static I18n` | `sourceDoesNotSupportDeletingWorkspaces`
`static I18n` | `sourceIsReadOnly`
`static I18n` | `unableToCreateWorkspaces`
`static I18n` | `unsupportedPrimaryType`
`static I18n` | `updatesAllowedPropertyCategory`
`static I18n` | `updatesAllowedPropertyDescription`
`static I18n` | `updatesAllowedPropertyLabel`
`static I18n` | `usernamePropertyCategory`
`static I18n` | `usernamePropertyDescription`
`static I18n` | `usernamePropertyLabel`
`static I18n` | `workspaceDoesNotExist`

Constructor Summary
`SvnRepositoryConnectorI18n()`

Method Summary
`static Set<Locale>` | `getLocalizationProblemLocales()`
`static Set<String>` | `getLocalizationProblems()`
`static Set<String>` | `getLocalizationProblems(Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connectorName

    public static I18n connectorName

### nodeDoesNotExist

    public static I18n nodeDoesNotExist

### nodeIsActuallyUnknow

    public static I18n nodeIsActuallyUnknow

### propertyIsRequired

    public static I18n propertyIsRequired

### errorSerializingCachePolicyInSource

    public static I18n errorSerializingCachePolicyInSource

### locationInRequestMustHavePath

    public static I18n locationInRequestMustHavePath

### sourceIsReadOnly

    public static I18n sourceIsReadOnly

### sourceDoesNotSupportCreatingWorkspaces

    public static I18n sourceDoesNotSupportCreatingWorkspaces

### sourceDoesNotSupportCloningWorkspaces

    public static I18n sourceDoesNotSupportCloningWorkspaces

### sourceDoesNotSupportDeletingWorkspaces

    public static I18n sourceDoesNotSupportDeletingWorkspaces

### connectingFailureOrUserAuthenticationProblem

    public static I18n connectingFailureOrUserAuthenticationProblem

### pathForPredefinedWorkspaceDoesNotExist

    public static I18n pathForPredefinedWorkspaceDoesNotExist

### pathForPredefinedWorkspaceIsNotDirectory

    public static I18n pathForPredefinedWorkspaceIsNotDirectory

### pathForPredefinedWorkspaceCannotBeRead

    public static I18n pathForPredefinedWorkspaceCannotBeRead

### workspaceDoesNotExist

    public static I18n workspaceDoesNotExist

### pathForDefaultWorkspaceDoesNotExist

    public static I18n pathForDefaultWorkspaceDoesNotExist

### pathForDefaultWorkspaceIsNotDirectory

    public static I18n pathForDefaultWorkspaceIsNotDirectory

### pathForDefaultWorkspaceCannotBeRead

    public static I18n pathForDefaultWorkspaceCannotBeRead

### sameNameSiblingsAreNotAllowed

    public static I18n sameNameSiblingsAreNotAllowed

### onlyTheDefaultNamespaceIsAllowed

    public static I18n onlyTheDefaultNamespaceIsAllowed

### unableToCreateWorkspaces

    public static I18n unableToCreateWorkspaces

### pathForRequestIsNotCorrect

    public static I18n pathForRequestIsNotCorrect

### pathForRequestMustStartWithAForwardSlash

    public static I18n pathForRequestMustStartWithAForwardSlash

### nodeAlreadyExist

    public static I18n nodeAlreadyExist

### unsupportedPrimaryType

    public static I18n unsupportedPrimaryType

### invalidPropertyNames

    public static I18n invalidPropertyNames

### invalidNameForResource

    public static I18n invalidNameForResource

### invalidPathForResource

    public static I18n invalidPathForResource

### missingRequiredProperty

    public static I18n missingRequiredProperty

### couldNotCreateFile

    public static I18n couldNotCreateFile

### couldNotReadData

    public static I18n couldNotReadData

### deleteFailed

    public static I18n deleteFailed

### nodeOrderingNotSupported

    public static I18n nodeOrderingNotSupported

### repositoryRootUrlPropertyDescription

    public static I18n repositoryRootUrlPropertyDescription

### repositoryRootUrlPropertyLabel

    public static I18n repositoryRootUrlPropertyLabel

### repositoryRootUrlPropertyCategory

    public static I18n repositoryRootUrlPropertyCategory

### usernamePropertyDescription

    public static I18n usernamePropertyDescription

### usernamePropertyLabel

    public static I18n usernamePropertyLabel

### usernamePropertyCategory

    public static I18n usernamePropertyCategory

### passwordPropertyDescription

    public static I18n passwordPropertyDescription

### passwordPropertyLabel

    public static I18n passwordPropertyLabel

### passwordPropertyCategory

    public static I18n passwordPropertyCategory

### creatingWorkspacesAllowedPropertyDescription

    public static I18n creatingWorkspacesAllowedPropertyDescription

### creatingWorkspacesAllowedPropertyLabel

    public static I18n creatingWorkspacesAllowedPropertyLabel

### creatingWorkspacesAllowedPropertyCategory

    public static I18n creatingWorkspacesAllowedPropertyCategory

### defaultWorkspaceNamePropertyDescription

    public static I18n defaultWorkspaceNamePropertyDescription

### defaultWorkspaceNamePropertyLabel

    public static I18n defaultWorkspaceNamePropertyLabel

### defaultWorkspaceNamePropertyCategory

    public static I18n defaultWorkspaceNamePropertyCategory

### predefinedWorkspaceNamesPropertyDescription

    public static I18n predefinedWorkspaceNamesPropertyDescription

### predefinedWorkspaceNamesPropertyLabel

    public static I18n predefinedWorkspaceNamesPropertyLabel

### predefinedWorkspaceNamesPropertyCategory

    public static I18n predefinedWorkspaceNamesPropertyCategory

### updatesAllowedPropertyDescription

    public static I18n updatesAllowedPropertyDescription

### updatesAllowedPropertyLabel

    public static I18n updatesAllowedPropertyLabel

### updatesAllowedPropertyCategory

    public static I18n updatesAllowedPropertyCategory

Constructor Detail

### SvnRepositoryConnectorI18n

    public SvnRepositoryConnectorI18n()

Method Detail

### getLocalizationProblemLocales

    public static Set<Locale> getLocalizationProblemLocales()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems(Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.